######################################################################
#
# Macro Name    : c:/users/public/gemcom/surpac/63/demo_data/tutorials/solids/_07b_solids_repair_simple.tcl
#
# Version       : Surpac 6.3
#
# Creation Date : Mon Apr 02 12:54:21 2012
#
# Description   : 
#
######################################################################

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="problem_solid_1.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "SOLIDS REPAIR OPEN" {} ]

set status [ SclFunction "SOLIDS REPAIR MOVE NEXT" {} ]

set status [ SclFunction "SOLIDS REPAIR MOVE NEXT" {} ]

set status [ SclFunction "SOLIDS REPAIR MOVE NEXT" {} ]

set status [ SclFunction "SOLIDS REPAIR MOVE NEXT" {} ]

set status [ SclFunction "SOLIDS REPAIR MOVE TO" {
  obj_range=""
  trisol_range=""
  solid_void="solid"
  autoValidate="Y"
  expandSelection="0"
  intersectionsCheck="Y"
  invalidEdgesCheck="Y"
  reversedCheck="Y"
  holesCheck="Y"
  disconnectedCheck="Y"
  twoSidedCheck="Y"
  transparencyCheck="Y"
  animateCheck="Y"
  zoomCheck="Y"
  frontClipCheck="Y"
  backClipCheck="N"
  problem_number="All"
}]

set status [ SclFunction "SOLIDS REPAIR FIX" {} ]

set status [ SclFunction "FILE SAVE" {
  frmsaveFileAs={
    {
      AutoCAD={
        version="Autocad 24 (2010)"
      }
      output_file="corrected_solid_1"
      outputExt=".dtm"
      saveStyle="N"
      Datamine={
        binary_precision="Single"
      }
      saveStyleFileName="SSI_STYLES:styles.ssi"
      Surpac={
        FileFormat="binary"
        ForceValidation="true"
        Purpose=""
        ForceCompatibility="true"
        range=""
      }
      output_type="Surpac DTM Files"
    }
  }
}]

puts ""
puts ""
puts "Macro 07b_solids_repair_simple.tcl completed."
puts ""
